﻿Import-Module WebAdministration

$ErrorActionPreference = "stop"

if(Test-Path 'iis:\sites\AosService')
{
    Start-WebSite 'AosService'
    Start-WebAppPool 'AOSService'
}
else
{
    Start-WebSite 'AosWebApplication'
    Start-WebAppPool 'AOSAppPool'
}

if (Get-Service | where Name -eq DynamicsAxBatch)
{
    $service = 'DynamicsAxBatch'
    $command = “sc.exe \\localhost config $service start= delayed-auto”
    $output = invoke-expression -command $command
    Write-Output $output

    Start-Service DynamicsAxBatch
    Write-Output "Batch service started."
}

Write-Output "Aos service started."



